<template>
	<!-- xxxxxxxxxxxxxxx S-MU-03 - 3 BURBUJA xxxxxxxxxxxxxxxxxxx -->
	<div style="padding-bottom: 50px">
		<div class="col-md-12">
			<h1>{{ value.title }}</h1>
		</div>
		<div class="col-md-12">
			<!--<p>{{ value.body }}</p>-->
			<p v-html="value.body.replace(/(?:\r\n|\r|\n)/g, '<br>')"></p>
		</div>

		<div class="col-md-12">
			<div class="bubble-wrap">
			<canvas class="bubble-image" :style="bg" ref="container"></canvas>
			<template v-for="(bubble, index) in value.bubbles">						
				<button type="button" @click="toggleBubbleView()" :style="bubble.style" class="btn btn-info btn-circle waves-effect waves-light" data-container="body" data-toggle="popover" data-placement="top" data-trigger="focus" :data-title="bubble.value.title" :data-content="bubble.value.description"><i class="fa fa-plus"></i></button>
			</template>				
			</div>				
		</div>
	</div>
</template>

<script>	
	import { config } from './config'
	import { mapActions } 	from 'vuex'
	import ResultTypes from '../../../../utils/ResultTypes'

	export default{
		data(){
			return {
				bubblesLeft : config.options.bubbles
			}
		},
			computed:{
			bg(){
				return {
					"background" : `url('${this.value.img}') no-repeat`,
					"background-size" : "100%"
				}
			}
		},
		name	: config.component,
		props	: config.props,
		methods : {
			toggleBubbleView(){
				--this.bubblesLeft
			},
	  		...mapActions([
		      'evaluate',
			]),
		},

    watch: {
    	bubblesLeft(count){
    		if(count == 0)
    			this.evaluate(ResultTypes.PASSED)
    	}
    },
		mounted(){
			$('[data-toggle="popover"]').popover();
			toastr.info(`RECUERDA que debes hacer click en + para leer el detalle y pasar a la siguiente hoja.`)
		},
		updated(){
			this.bubblesLeft = config.options.bubbles
			$('[data-toggle="popover"]').popover();
		}

	}
</script>

<style>

	.bubble-image{
		position: relative;
		width: 100%;
	}

	.bubble-wrap{
		position: relative;
	}

</style>